rust-cargo-c (0.10.16-1ubuntu1) resolute; urgency=medium

  [ Talha Can Havadar ]
  * Merge with Debian unstable (LP: #2144506). Remaining changes:
    - d/rules, vendor: use vendored source
    - d/control: remove B-D on system Rust packages and add vendored sources tag
    - d/control: update Architecture target for librust-cargo-c-dev to 'all'
    - d/control: drop version restriction on librust-implib-0.3+default-dev
    - d/control: add blake3 into Static-Built-Using field for cargo-c
    - d/cargo-prune-checksums: add a script to remove checksum files
    - d/README.source: add to explain vendoring
  * New changes:
    - d/p/ubuntu-blake3-vendor-marking.patch: mark blake3 libraries
      needed to bring back this patch from where it was dropped in
      0.10.8-1ubuntu1 merge
    - d/{p/ubuntu-nghttp2-vendor-marking.patch,control}: mark nghttp2
  * Drop changes:
    - d/p/ubuntu-update-libgit2-to-1.9.patch: update libgit2 to 1.9 via a patch
      [Fixed in 0.10.8-1]

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 17 Apr 2026 17:56:26 +0300

rust-cargo-c (0.10.16-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.16+cargo-0.91.0 from crates.io using debcargo 2.7.11

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 14 Feb 2026 12:39:18 +0100

rust-cargo-c (0.10.11-4) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.11+cargo-0.86.0 from crates.io using debcargo 2.7.11
  * Relax itertools dependency.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 27 Jan 2026 06:25:19 +0000

rust-cargo-c (0.10.11-3) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.11+cargo-0.86.0 from crates.io using debcargo 2.7.11
  * Upload to unstable

 -- NoisyCoil <noisycoil@debian.org>  Sat, 06 Dec 2025 10:31:57 +0100

rust-cargo-c (0.10.11-2) experimental; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.11+cargo-0.86.0 from crates.io using debcargo 2.7.11
  * Bump cbindgen dependency to v0.29

 -- NoisyCoil <noisycoil@debian.org>  Thu, 04 Dec 2025 01:19:52 +0100

rust-cargo-c (0.10.11-1ubuntu2) resolute; urgency=medium

  * d/p/u-tar-cve-2026-33056: fix CVE-2026-33056 vulnerability (LP: #2145764)

 -- Ruan Comelli <ruan.comelli@canonical.com>  Wed, 25 Mar 2026 21:47:21 -0300

rust-cargo-c (0.10.11-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/rules, vendor: use vendored source
    - d/control: remove B-D on system Rust packages and add vendored sources tag
    - d/patches: add patches for vendored sources
    - d/p/ubuntu-update-libgit2-to-1.9.patch: update libgit2 to 1.9 via a patch
    - d/cargo-prune-checksums: add a script to remove checksum files
    - d/p/ubuntu-blake3-vendor-marking.patch: mark blake3 libraries

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 18:38:03 -0500

rust-cargo-c (0.10.11-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.11+cargo-0.86.0 from crates.io using debcargo 2.7.7
  * Downgrade cbindgen to 0.27
  * Downgrade implib to 0.3.3

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 07 Mar 2025 09:45:59 +0100

rust-cargo-c (0.10.8-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2100690). Remaining changes:
    - d/rules, vendor: use vendored source
    - d/control: remove B-D on system Rust packages and add vendored sources tag
    - d/patches: add patches for vendored sources
    - d/p/ubuntu-update-libgit2-to-1.9.patch: update libgit2 to 1.9 via a patch
    - d/cargo-prune-checksums: add a script to remove checksum files
    - d/p/ubuntu-blake3-vendor-marking.patch: mark blake3 libraries

 -- Zixing Liu <zixing.liu@canonical.com>  Sat, 01 Mar 2025 18:12:19 -0700

rust-cargo-c (0.10.8-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.8+cargo-0.85.0 from crates.io using debcargo 2.7.1

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 14 Feb 2025 23:03:45 +0100

rust-cargo-c (0.10.7-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules, vendor: use vendored source
    - d/control: remove B-D on system Rust packages and add vendored sources tag
    - d/patches: add patches for vendored sources
    - d/p/ubuntu-update-libgit2-to-1.9.patch: update libgit2 to 1.9 via a patch
    - d/cargo-prune-checksums: add a script to remove checksum files
    - d/p/ubuntu-blake3-vendor-marking.patch: mark blake3 libraries

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 06 Jan 2025 11:45:25 -0700

rust-cargo-c (0.10.7-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.7+cargo-0.84.0 from crates.io using debcargo 2.7.5

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 29 Dec 2024 19:30:26 +0100

rust-cargo-c (0.10.5-2) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.5+cargo-0.83.0 from crates.io using debcargo 2.7.5
  * Drop relax-object.patch, no longer needed.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 25 Dec 2024 18:25:52 +0000

rust-cargo-c (0.10.5-1ubuntu3) plucky; urgency=medium

  * d/p/relax-*: try to satify both Debian and Ubuntu Rust ecosystems

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 19 Dec 2024 11:49:16 -0700

rust-cargo-c (0.10.5-1ubuntu2) plucky; urgency=medium

  * d/control: specify the dependencies according to the upstream manifest.
    This will make the test pass if we have the proper dependencies, or
    skip the tests automatically if we don't.

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 17 Dec 2024 21:56:29 -0700

rust-cargo-c (0.10.5-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules, vendor: use vendored source
    - d/patches: add patches for vendored sources
    - d/patches: remove Debian Rust ecosystem patches
    - d/control: remove B-D on system Rust packages and add vendored sources tag
    - d/rules: remove lock file
    - d/control: make librust-cargo-c-dev an architecture-independent package

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 19 Nov 2024 10:39:20 -0700

rust-cargo-c (0.10.5-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.5+cargo-0.83.0 from crates.io using debcargo 2.7.2

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 11 Nov 2024 21:36:18 +0100

rust-cargo-c (0.10.4-2) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.4+cargo-0.82.0 from crates.io using debcargo 2.7.0
  * Reduce debug info on 32-bit architectures to avoid running out of
    address space.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 24 Oct 2024 05:59:50 +0000

rust-cargo-c (0.10.4-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.4+cargo-0.82.0 from crates.io using debcargo 2.7.1

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 22 Oct 2024 19:29:15 +0200

rust-cargo-c (0.10.3-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.3+cargo-0.81.0 from crates.io using debcargo 2.6.1

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 04 Oct 2024 19:14:33 +0200

rust-cargo-c (0.9.29-2ubuntu3) plucky; urgency=medium

  * No-change rebuild for rust ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2024 07:41:29 +0100

rust-cargo-c (0.9.29-2ubuntu2) oracular; urgency=medium

  * d/rules: remove lock file
  * d/control: make librust-cargo-c-dev an architecture-independent package

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 19 Sep 2024 14:59:07 -0600

rust-cargo-c (0.9.29-2ubuntu1) oracular; urgency=medium

  * d/rules, vendor: use vendored source
  * d/patches: add patches for vendored sources
  * d/control: remove B-D on system Rust packages and add vendored sources tag

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 12 Sep 2024 15:40:58 -0600

rust-cargo-c (0.9.29-2) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.29+cargo-0.76.0 from crates.io using debcargo 2.6.1
  * Bump cbindgen dependency to 0.27.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 11 Sep 2024 01:01:49 +0000

rust-cargo-c (0.9.29-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.29+cargo-0.76.0 from crates.io using debcargo 2.6.1

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 12 Jul 2024 20:20:53 +0200

rust-cargo-c (0.9.19-2) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.19+cargo-0.70 from crates.io using debcargo 2.6.1
  * Relax dependencies on itertools and toml.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 30 Jan 2024 16:50:24 +0000

rust-cargo-c (0.9.19-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.19+cargo-0.70 from crates.io using debcargo 2.6.0
  * drop windows-sys dependency

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 15 Dec 2023 13:33:51 +0100

rust-cargo-c (0.9.14-2) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.14+cargo-0.66 from crates.io using debcargo 2.6.0
  * Bump cbindgen dependency.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 28 Sep 2023 06:23:51 +0000

rust-cargo-c (0.9.14-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.14+cargo-0.66 from crates.io using debcargo 2.6.0

 -- Peter Michael Green <plugwash@debian.org>  Thu, 12 Jan 2023 13:04:24 +0000

rust-cargo-c (0.9.11-1) unstable; urgency=medium

  * Package cargo-c 0.9.11+cargo-0.63 from crates.io using debcargo 2.6.0
  * Drop fix-deps.patch - no longer needed.

  [ Fabian Gruenbichler ]
  * Team upload.
  * Package cargo-c 0.9.11+cargo-0.63 from crates.io using debcargo 2.5.0

 -- Peter Michael Green <plugwash@debian.org>  Thu, 17 Nov 2022 08:30:41 +0000

rust-cargo-c (0.9.5-2) unstable; urgency=medium

  * debian/patches: Relax dependency on cbindgen to >= 0.20

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Jun 2022 19:06:22 +0200

rust-cargo-c (0.9.5-1) unstable; urgency=medium

  * Package cargo-c 0.9.5+cargo-0.57 from crates.io using debcargo 2.5.0

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 Jun 2022 00:37:01 +0200
